package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.CityDTO;
import com.gic.store.dto.CountyDTO;
import com.gic.store.dto.ProvinceDTO;

import java.util.List;

public interface ProvincesApiService {
    ServiceResponse<List<ProvinceDTO>> selectAllProvince();

    ServiceResponse<List<CityDTO>> selectAllCity();

    ServiceResponse<List<CountyDTO>> selectAllCounty();

    ServiceResponse<List<ProvinceDTO>> queryProvinces(String search);

    ServiceResponse<List<CityDTO>> queryCity(String search);

    ServiceResponse<List<CountyDTO>> queryCounty(String search);
}
